Summary:	MuJS - lightweight, embeddable JavaScript interpreter in C
Summary(pl.UTF-8):	MuJS - lekki, osadzalny interpreter JavaScriptu napisany w C
Name:		mujs
Version:	1.3.7
Release:	1
License:	ISC
Group:		Development/Languages
Source0:	https://www.mujs.com/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	f6e8fd8297340238a07e58be019fd7dc
Patch0:		%{name}-shared.patch
URL:		https://www.mujs.com/
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MuJS is a lightweight JavaScript interpreter designed for embedding in
other software to extend them with scripting capabilities.

%description -l pl.UTF-8
MuJS to lekki interpreter JavaScriptu zaprojektowany do osadzania w
innych programach w celu rozszerzenia ich o obsługę skryptów.

%package devel
Summary:	Header files for MuJS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MuJS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for MuJS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MuJS.

%package static
Summary:	Static MuJS library
Summary(pl.UTF-8):	Statyczna biblioteka MuJS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MuJS library.

%description static -l pl.UTF-8
Statyczna biblioteka MuJS.

%prep
%setup -q
%patch -P0 -p1

# don't try to regenerate utfdata.h, use the one from release
touch -r utfdata.h SpecialCasing.txt UnicodeData.txt

%build
%{__make} -j1 release \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -std=c99 -Wall -Wextra -Wno-unused-parameter -Wunreachable-code" \
	LDFLAGS="%{rpmldflags}" \
	OPTIM= \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-shared \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/mujs
%attr(755,root,root) %{_bindir}/mujs-pp
%attr(755,root,root) %{_libdir}/libmujs.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmujs.so.0

%files devel
%defattr(644,root,root,755)
%doc docs/*.{css,html,png,ps}
%attr(755,root,root) %{_libdir}/libmujs.so
%{_includedir}/mujs.h
%{_pkgconfigdir}/mujs.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmujs.a
%changelog
* Wed Jun 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mujs.git;a=log;h=master

* Tue Jun 24 2025 Jan Palus <atler@pld-linux.org> d66380d
- up to 1.3.7

* Tue Feb 04 2025 Jakub Bogusz <qboosh@pld-linux.org> bbfae12
- updated to 1.3.6

* Wed Jul 03 2024 Jan Palus <atler@pld-linux.org> 7a78023
- up to 1.3.5

* Wed Nov 22 2023 Jan Palus <atler@pld-linux.org> f89c9e6
- up to 1.3.4

* Sun Apr 16 2023 Jan Palus <atler@pld-linux.org> 8cdd20e
- up to 1.3.3

* Tue Nov 29 2022 Jan Palus <atler@pld-linux.org> 34ac6cd
- up to 1.3.2

* Sat Nov 12 2022 Jan Palus <atler@pld-linux.org> a2fda33
- BR: readline-devel

* Fri Apr 08 2022 Jakub Bogusz <qboosh@pld-linux.org> aea9253
- updated to 1.2.0
- updated shared patch (dropped use of libtool; use upstream shared lib support, just add soname)

* Fri Jul 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 65e51e3
- fixed also mujs-pp linking

* Fri Jul 16 2021 Jakub Bogusz <qboosh@pld-linux.org> 805dc61
- fixed shared patch to actually build library from libtool object file; -fPIC is now handled by libtool

* Thu Jul 15 2021 Jan Palus <atler@pld-linux.org> b48ee8d
- BRs for tar.xz source

* Thu Jul 15 2021 Jan Palus <atler@pld-linux.org> cd7ce4c
- up to 1.1.3

* Sun May 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 8c59e5a
- updated to 1.0.7
- updated shared patch

* Thu Jul 04 2019 Jan Palus <atler@pld-linux.org> c83c907
- up to 1.0.6

* Fri Oct 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 0c86688
- license is ISC
- more docs
- release 3

* Fri Aug 17 2018 Jan Rękorajski <baggins@pld-linux.org> 1c597c1
- adapter, rel 2

* Fri Aug 17 2018 Jan Rękorajski <baggins@pld-linux.org> ce8426b
- up to 1.0.4

* Thu Apr 14 2016 Jakub Bogusz <qboosh@pld-linux.org> 1197046
- updated to latest snap (last change on 20160301)
- updated shared patch

* Thu Jul 16 2015 Jan Rękorajski <baggins@pld-linux.org> fc19b58
- rel 2

* Sat Nov 29 2014 Jakub Bogusz <qboosh@pld-linux.org> ed69f59
- new

